
#### Incident Fields

- New: **Securonix Policy Type**

#### Integrations

##### Securonix

- Improved implementation logic for the *query* argument for the ***securonix-list-activity-data*** and ***securonix-list-violation-data*** commands by adding the support for the escape characters "\\", "*", and "?" when passing them to the API. No action required by the customer.
- Added a new argument "policy_type" to the ***securonix-list-violation-data*** command.
- Updated the retry mechanism for the ***securonix-list-violation-data*** command to dynamically set the "to" argument to the current time based on the specified policy types: Land Speed, DIRECTIVE, BEACONING, TIER2.
- Updated the ***securonix-list-activity-data*** command to support the optional index key in the query argument. If the index is not specified in the query, it will append and search in the activity index on the Spotter API by default.
- Fixed an issue with the handling of special characters in the HR (Human Readable) for the following commands:
  - ***securonix-list-incident***
  - ***securonix-get-incident***
  - ***securonix-list-violation-data***
  - ***securonix-list-activity-data***
- Updated the compatibility. Securonix XSOAR integration version 2.0.20 is compatible with 6.4_Apr2024_R1 onwards.
- Updated the Docker image to: *demisto/python3:3.10.14.92207*.

#### Layouts

##### Securonix Incident Information

- Added the ***Securonix Policy Type*** incident field in the layout.

#### Mappers

##### Securonix Incident - Incoming Mapper

- Updated the mapper for the addition of ***Securonix Policy Type*** Incident Field.
- Updated the mapper for the ***Securonix Violation Spotter Query*** Incident Field to preserve the "@" symbol in the field value.
